Bug 2155081 - Fedora Sway Spin
Summary: Fedora Sway Spin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38Changes
TreeView+ depends on / blocked
 
Reported: 2022-12-19 22:26 UTC by Ben Cotton
Modified: 2023-04-18 14:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-18 14:06:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2022-12-19 22:26:17 UTC
This is a tracking bug for Change: Fedora Sway Spin
For more details, see: https://fedoraproject.org/wiki/Changes/Fedora_Sway_Spin

Create an official Fedora Spin shipping the up-and-coming Sway window manager. Following the footsteps of the recently shipped i3 spin.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2022-12-19 22:36:24 UTC
One thing I don't see on your change proposal is a ticket for the Websites & Apps team. You'll want to start coordinating with them soon so there's plenty of time to get the website ready.

Comment 2 Ben Cotton 2023-02-07 14:27:33 UTC
Today we reached the Code Complete (Testable) milestone on the F38 schedule: https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

At this time, all F38 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F39, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 3 Fabio Alessandro Locati 2023-02-07 15:43:09 UTC
The change is testable: https://openqa.fedoraproject.org/nightlies.html
(look for sericea and sway live)

The only parts missing are around documentation (which is ~ready, to be pushed to Fedora infra) and the changes to Fedora website to advertise those new artifacts :-)


Note You need to log in before you can comment on or make changes to this bug.